/**
 * 基础路由
 * @type { *[] }
 */
export const constantRouterMap = [
  {
    path: '/',
    component: () => import('@/views/layouts/index'),
    redirect: '/Tabbar',
    meta: {
      title: '成长',
      keepAlive: false
    },
    children: [
      {
        path: '/Tabbar',
        name: 'Index',
        redirect: '/index',
        component: () => import('@/views/Tabbar.vue'),
        children: [
          {
            path: '/index',
            name: 'Development',
            component: () => import('@/views/development/index'),
            meta: { title: '成长', keepAlive: false }
          },
          {
            path: '/today',
            name: 'Today',
            component: () => import('@/views/today/index'),
            meta: { title: '今日', keepAlive: false }
          },
          {
            path: '/insight',
            name: 'Insight',
            component: () => import('@/views/insight/index'),
            meta: { title: '洞悉', keepAlive: false }
          },
          {
            path: '/optimize',
            name: 'Optimize',
            component: () => import('@/views/optimize/index'),
            meta: { title: '优化', keepAlive: false }
          },
          {
            path: '/myself',
            name: 'Myself',
            component: () => import('@/views/myself/index'),
            meta: { title: '我的', keepAlive: false }
          }
        ]
      },
      {
        path: '/planDescription',
        name: 'planDescription',
        component: () => import('@/views/development/planDescription'),
        meta: { title: '计划说明', keepAlive: false }
      },
      {
        path: '/taskDetail',
        name: 'taskDetail',
        component: () => import('@/views/development/taskDetail'),
        meta: { title: '任务详情', keepAlive: false }
      },
      {
        path: '/taskSubmission',
        name: 'taskSubmission',
        component: () => import('@/views/development/taskSubmission'),
        meta: { title: '提交任务', keepAlive: false }
      },
      {
        path: '/taskWearing',
        name: 'taskWearing',
        component: () => import('@/views/development/taskWearing'),
        meta: { title: '佩戴任务', keepAlive: false }
      },
      {
        path: '/familyNumber',
        name: 'familyNumber',
        component: () => import('@/views/myself/familyNumber'),
        meta: { title: '亲情号码', keepAlive: false }
      },
      {
        path: '/changeFamilyNumber',
        name: 'changeFamilyNumber',
        component: () => import('@/views/myself/changeFamilyNumber'),
        meta: { title: '修改亲情号码', keepAlive: false }
      },
      {
        path: '/addFamilyNumber',
        name: 'addFamilyNumber',
        component: () => import('@/views/myself/addFamilyNumber'),
        meta: { title: '增加亲情号码', keepAlive: false }
      }
    ]
  }
];
